Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 450779 - gvfs/nautilus "connect to server" cifs write failure
Summary: gvfs/nautilus "connect to server" cifs write failure
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gvfs
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Tomáš Bžatek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-10 22:21 UTC by GeneD
Modified: 2015-03-03 22:32 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 16:36:22 UTC
Type: ---


Attachments (Terms of Use)
Output as requested (44.01 KB, application/octet-stream)
2008-07-06 14:46 UTC, GeneD
no flags Details

Description GeneD 2008-06-10 22:21:20 UTC
Description of problem:
When using the "places" "connect to server" application there are some weird
problems. I can mount a location with a share, browse the folder structure and
open the files, but I can not save or copy files. This is in evolution, open
office, vim etc. What I can do however is use open office, browse to the share
and file and open it, and then I can write to it.


Version-Release number of selected component (if applicable):

Fedora 9
Windows 2000 server
Windows 2000 Directory Services
Userid on local system is local credentials
Userid on Windows 2000 Server is directory services userid.

How reproducible:

Use connect to places to connect to a windows 2000/2003 or netapp cifs system,
input userid, domain name and password credentials. 
It will give an error message;
The specified location is not mounted.
Close this error box and go to the shortcut on the desktop. 

Open the share, and browse to an open office doc file type, and open with open
office.

Edit and save.

Error will pop up saying
Error saving the document $documentname
General input/ouput error while accessing /home/$username/.gvfs/$sharename on
$servername/$FolderName/Foldername/$filename.xls
 
Press ok, and error will come up again.
Press ok, and new error comes up;

Error saving the document $filename
General Error
General input/output error.

Back on the desktop a second shortcut of the share is now on the system.

Open up open office, use file open dialog and browse to file location.
Opening the file will request a password prompt; (open office dialog, not gnome)

Log in

Please enter user name and password for "$domainname" on $servername here.

Username guest
password

Remember password till end of session.

Replace guest with the previously entered userid and password, that was used in
the "connect to server" application.

Document opens, edit document and press save.



Actual results:


Expected results:


Additional info:

Comment 1 GeneD 2008-06-10 23:09:12 UTC
Sorry I forgot to note:
$servername/$FolderName/Foldername/$filename.xls

Did not have the normal $servername/$sharename/$foldername. It was as above. I
just dont know if that is the expected behaviour, typically the unc requires
server\share.



Comment 2 Tomáš Bžatek 2008-06-12 12:11:00 UTC
Some notes:
- Openoffice uses different method accessing SMB shares.
- "The specified location is not mounted" error from Places menu is a known
issue: https://bugzilla.redhat.com/show_bug.cgi?id=443038
- overall gvfsd-smb has many issues at the moment which are being worked on

Could you please install new gvfs version from testing repository
(https://admin.fedoraproject.org/updates/F9/FEDORA-2008-5197) and attach the
debug log from "/usr/libexec/gvfsd -r" here? It would help us to determine the
real cause of the errors you got.

Comment 3 GeneD 2008-06-20 21:18:21 UTC
I can send the information but there is a lot of name resolution, and other
items I would not feel comfortable putting on the internet. Is there an easy way
to clean the data that would still be useful to you>

Comment 4 Tomáš Bžatek 2008-06-23 12:39:20 UTC
I see, that's the part of smb debugging output. You can replace all adresses
with xxx.xxx.xxx or something like that. Passwords should not be exposed at any
places.

Comment 5 GeneD 2008-07-06 14:46:00 UTC
Created attachment 311101 [details]
Output as requested

Comment 6 Bug Zapper 2009-06-10 01:32:10 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Bug Zapper 2009-07-14 16:36:22 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.